// NewSiteDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ArticleSubmitter.h"
#include "NewSiteDlg.h"


// CNewSiteDlg dialog

IMPLEMENT_DYNAMIC(CNewSiteDlg, CDialog)
CNewSiteDlg::CNewSiteDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNewSiteDlg::IDD, pParent)
	, mSiteName(_T(""))
	, mURL(_T(""))
	, mRequiresLogin(FALSE)
	, mUsername(_T(""))
	, mPassword(_T(""))
{
}

CNewSiteDlg::~CNewSiteDlg()
{
}

void CNewSiteDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_SITENAME, mSiteName);
	DDX_Text(pDX, IDC_URL, mURL);
	DDX_Check(pDX, IDC_REQUIRE_LOGIN, mRequiresLogin);
	DDX_Text(pDX, IDC_USERNAME, mUsername);
	DDX_Text(pDX, IDC_PASSWORD, mPassword);
}


BEGIN_MESSAGE_MAP(CNewSiteDlg, CDialog)
END_MESSAGE_MAP()


// CNewSiteDlg message handlers
